stl_construct.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Functions

template<typename _Tp , typename... _Args>
constexpr void | std::_Construct (_Tp *__p, _Args &&... __args)
template<typename _T1 >
void | std::_Construct_novalue (_T1 *__p)
template<typename _ForwardIterator >
constexpr void | std::_Destroy (_ForwardIterator __first, _ForwardIterator __last)
template<typename _Tp >
constexpr void | std::_Destroy (_Tp *__pointer)
template<typename _ForwardIterator , typename _Size >
constexpr _ForwardIterator | std::_Destroy_n (_ForwardIterator __first, _Size __count)
template<typename _Tp , typename... _Args>
constexpr auto | std::construct_at (_Tp *__location, _Args &&... __args) noexcept(noexcept(::new((void *) 0) _Tp(std::declval< _Args >()...))) -> decltype(::new((void *) 0) _Tp(std::declval< _Args >()...))
template<typename _ForwardIterator >
constexpr void | std::destroy (_ForwardIterator __first, _ForwardIterator __last)
template<typename _Tp >
constexpr void | std::destroy_at (_Tp *__location)
template<typename _ForwardIterator , typename _Size >
constexpr _ForwardIterator | std::destroy_n (_ForwardIterator __first, _Size __count)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file stl_construct.h.